summaryrefslogtreecommitdiffstats
path: root/source/d/gcc
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/d/gcc
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/d/gcc')
-rw-r--r--source/d/gcc/antlr-runtime-3.4.jarbin164368 -> 0 bytes
-rw-r--r--source/d/gcc/create_gcj_jvm.sh93
-rw-r--r--source/d/gcc/ecj-4.9.jarbin1619429 -> 0 bytes
-rw-r--r--source/d/gcc/ecj.sh5
-rw-r--r--source/d/gcc/ecj.url1
-rw-r--r--source/d/gcc/fastjar-patches/1000-fastjar-0.97-segfault.patch29
-rw-r--r--source/d/gcc/fastjar-patches/1001-fastjar-0.97-len1.patch16
-rw-r--r--source/d/gcc/fastjar-patches/1002-fastjar-0.97-filename0.patch14
-rw-r--r--source/d/gcc/fastjar-patches/1003-fastjar-CVE-2010-0831.patch102
-rw-r--r--source/d/gcc/fastjar-patches/1004-fastjar-man.patch27
-rw-r--r--source/d/gcc/gcc.66782.diff124
-rw-r--r--source/d/gcc/gcc.69140.diff13
-rwxr-xr-xsource/d/gcc/gcc.SlackBuild558
-rw-r--r--source/d/gcc/slack-desc.gcc8
-rw-r--r--source/d/gcc/slack-desc.gcc-brig19
-rw-r--r--source/d/gcc/slack-desc.gcc-g++8
-rw-r--r--source/d/gcc/slack-desc.gcc-gfortran10
-rw-r--r--source/d/gcc/slack-desc.gcc-gnat12
-rw-r--r--source/d/gcc/slack-desc.gcc-go10
-rw-r--r--source/d/gcc/slack-desc.gcc-java19
-rw-r--r--source/d/gcc/slack-desc.gcc-objc8
21 files changed, 218 insertions, 858 deletions
diff --git a/source/d/gcc/antlr-runtime-3.4.jar b/source/d/gcc/antlr-runtime-3.4.jar
deleted file mode 100644
index 865a537b0..000000000
--- a/source/d/gcc/antlr-runtime-3.4.jar
+++ /dev/null
Binary files differ
diff --git a/source/d/gcc/create_gcj_jvm.sh b/source/d/gcc/create_gcj_jvm.sh
deleted file mode 100644
index d1011860f..000000000
--- a/source/d/gcc/create_gcj_jvm.sh
+++ /dev/null
@@ -1,93 +0,0 @@
-# ---------------------------------------------------------------------------
-# This script creates a directory structure below /usr/lib/jvm and populates
-# it with symlinks to GCC binaries.
-# This will work as a compatibility layer to emulate an Oracle JDK/JRE.
-# This emulation is required in order to compile OpenJDK using GNU java.
-#
-# The same can automatically be achieved in Slackware's gcc packages if
-# the 'configure' command is called with the following additional parameters:
-# --enable-java-home \
-# --with-java-home=/usr/lib$LIBDIRSUFFIX/jvm/jre \
-# --with-jvm-root-dir=/usr/lib$LIBDIRSUFFIX/jvm \
-# --with-jvm-jar-dir=/usr/lib$LIBDIRSUFFIX/jvm/jvm-exports \
-# --with-arch-directory=$LIB_ARCH \
-#
-# Author: Eric Hameleers <alien@slackware.com> December 2011
-# ---------------------------------------------------------------------------
-
-# Automatically determine the architecture we're building on:
-if [ -z "$ARCH" ]; then
- case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
- esac
-fi
-
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
- LIB_ARCH=i386
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
- LIB_ARCH=i386
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
- LIB_ARCH=amd64
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
- LIB_ARCH=$ARCH
-fi
-
-# Where does the OpenJDK SlackBuild expect the GNU java compatibility symlinks:
-JVM=${1:-/usr/lib${LIBDIRSUFFIX}/jvm}
-BINDIR=/usr/bin
-
-# What version of GCC do we have installed:
-GCJVER=$(gcj -dumpversion)
-
-# First, remove the old set of symlinks if they should exist:
-rm -fr $JVM
-
-# Create a JDK compatible directory structure for GNU java:
-mkdir -p $JVM
-mkdir -p $JVM/bin
-mkdir -p $JVM/jre/bin
-mkdir -p $JVM/jre/lib/${LIB_ARCH}/client
-mkdir -p $JVM/jre/lib/${LIB_ARCH}/server
-mkdir -p $JVM/lib
-
-ln -sf $BINDIR/gjar $JVM/bin/jar
-ln -sf $BINDIR/grmic $JVM/bin/rmic
-ln -sf $BINDIR/gjavah $JVM/bin/javah
-ln -sf $BINDIR/jcf-dump $JVM/bin/javap
-ln -sf $BINDIR/gappletviewer $JVM/bin/appletviewer
-ln -sf $BINDIR/grmiregistry $JVM/bin/rmiregistry
-ln -sf $BINDIR/grmiregistry $JVM/jre/bin/rmiregistry
-ln -sf $BINDIR/gkeytool $JVM/bin/keytool
-ln -sf $BINDIR/gkeytool $JVM/jre/bin/keytool
-ln -sf $BINDIR/gij $JVM/bin/java
-ln -sf $BINDIR/ecj $JVM/bin/javac
-ln -sf /usr/lib/gcj-${GCJVER}-11/libjvm.so $JVM/jre/lib/${LIB_ARCH}/client/libjvm.so
-ln -sf /usr/lib/gcj-${GCJVER}-11/libjvm.so $JVM/jre/lib/${LIB_ARCH}/server/libjvm.so
-ln -sf /usr/lib/gcj-${GCJVER}-11/libjawt.so $JVM/jre/lib/${LIB_ARCH}/libjawt.so
-ln -sf /usr/share/java/libgcj-${GCJVER}.jar $JVM/jre/lib/rt.jar
-ln -sf /usr/share/java/libgcj-tools-${GCJVER}.jar $JVM/lib/tools.jar
-ln -sf /usr/include/c++/${GCJVER}/gnu/java $JVM/include
-
-# Add a Eclipse Java Compiler wrapper which is required
-# for bootstrapping OpenJDK using GNU java:
-cat <<EOT > /usr/bin/ecj
-#!/bin/sh
-
-CLASSPATH=/usr/share/java/ecj.jar\${CLASSPATH:+:}\$CLASSPATH \
- java org.eclipse.jdt.internal.compiler.batch.Main "\$@"
-
-EOT
-chmod 755 /usr/bin/ecj
-
-
diff --git a/source/d/gcc/ecj-4.9.jar b/source/d/gcc/ecj-4.9.jar
deleted file mode 100644
index 29dc442ff..000000000
--- a/source/d/gcc/ecj-4.9.jar
+++ /dev/null
Binary files differ
diff --git a/source/d/gcc/ecj.sh b/source/d/gcc/ecj.sh
deleted file mode 100644
index 1d8b79793..000000000
--- a/source/d/gcc/ecj.sh
+++ /dev/null
@@ -1,5 +0,0 @@
-#!/bin/sh
-
-CLASSPATH=@JAVADIR@/ecj.jar${CLASSPATH:+:}$CLASSPATH \
- java org.eclipse.jdt.internal.compiler.batch.Main "$@"
-
diff --git a/source/d/gcc/ecj.url b/source/d/gcc/ecj.url
deleted file mode 100644
index 9a28b2ce6..000000000
--- a/source/d/gcc/ecj.url
+++ /dev/null
@@ -1 +0,0 @@
-ftp://sourceware.org/pub/java/ecj-4.9.jar
diff --git a/source/d/gcc/fastjar-patches/1000-fastjar-0.97-segfault.patch b/source/d/gcc/fastjar-patches/1000-fastjar-0.97-segfault.patch
deleted file mode 100644
index ab6262407..000000000
--- a/source/d/gcc/fastjar-patches/1000-fastjar-0.97-segfault.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-2009-01-14 Jakub Jelinek <jakub@redhat.com>
-
- * jartool.c (make_manifest): Initialize current_time before
- calling unix2dostime on it.
-
---- fastjar-0.97/jartool.c.jj 2008-10-15 18:35:37.000000000 +0200
-+++ fastjar-0.97/jartool.c 2009-01-14 15:40:50.000000000 +0100
-@@ -820,6 +820,10 @@ int make_manifest(int jfd, const char *m
- int mod_time; /* file modification time */
- struct zipentry *ze;
-
-+ current_time = time(NULL);
-+ if(current_time == (time_t)-1)
-+ exit_on_error("time");
-+
- mod_time = unix2dostime(&current_time);
-
- /* If we are creating a new manifest, create a META-INF directory entry */
-@@ -828,10 +832,6 @@ int make_manifest(int jfd, const char *m
-
- memset((file_header + 12), '\0', 16); /*clear mod time, crc, size fields*/
-
-- current_time = time(NULL);
-- if(current_time == (time_t)-1)
-- exit_on_error("time");
--
- PACK_UB2(file_header, LOC_EXTRA, 0);
- PACK_UB2(file_header, LOC_COMP, 0);
- PACK_UB2(file_header, LOC_FNLEN, nlen);
diff --git a/source/d/gcc/fastjar-patches/1001-fastjar-0.97-len1.patch b/source/d/gcc/fastjar-patches/1001-fastjar-0.97-len1.patch
deleted file mode 100644
index 722351d33..000000000
--- a/source/d/gcc/fastjar-patches/1001-fastjar-0.97-len1.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-2009-12-21 Chris Ball <cjb@laptop.org>
-
- * jartool.c (add_file_to_jar): Test write return value against -1
- instead of 1.
-
---- fastjar-0.97/jartool.c.jj 2008-10-15 12:35:37.000000000 -0400
-+++ fastjar-0.97/jartool.c 2009-12-22 06:48:09.309530000 -0500
-@@ -1257,7 +1257,7 @@ int add_file_to_jar(int jfd, int ffd, co
- exit_on_error("write");
-
- /* write the file name to the zip file */
-- if (1 == write(jfd, fname, file_name_length))
-+ if (-1 == write(jfd, fname, file_name_length))
- exit_on_error("write");
-
- if(verbose){
diff --git a/source/d/gcc/fastjar-patches/1002-fastjar-0.97-filename0.patch b/source/d/gcc/fastjar-patches/1002-fastjar-0.97-filename0.patch
deleted file mode 100644
index 34a02a74f..000000000
--- a/source/d/gcc/fastjar-patches/1002-fastjar-0.97-filename0.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-2010-03-01 Richard Guenther <rguenther@suse.de>
-
- * jartool.c (read_entries): Properly zero-terminate filename.
-
---- fastjar-0.97/jartool.c 6 Sep 2009 22:16:00 -0000 1.59
-+++ fastjar-0.97/jartool.c 1 Mar 2010 15:38:43 -0000 1.60
-@@ -790,6 +790,7 @@ int read_entries (int fd)
- progname, jarfile);
- return 1;
- }
-+ ze->filename[len] = '\0';
- len = UNPACK_UB4(header, CEN_EFLEN);
- len += UNPACK_UB4(header, CEN_COMLEN);
- if (lseek (fd, len, SEEK_CUR) == -1)
diff --git a/source/d/gcc/fastjar-patches/1003-fastjar-CVE-2010-0831.patch b/source/d/gcc/fastjar-patches/1003-fastjar-CVE-2010-0831.patch
deleted file mode 100644
index 2c6e23c76..000000000
--- a/source/d/gcc/fastjar-patches/1003-fastjar-CVE-2010-0831.patch
+++ /dev/null
@@ -1,102 +0,0 @@
-2010-06-10 Jakub Jelinek <jakub@redhat.com>
- Dan Rosenberg <dan.j.rosenberg@gmail.com>
-
- * jartool.c (extract_jar): Fix up checks for traversal to parent
- directories, disallow absolute paths, make the code slightly more
- efficient.
-
---- fastjar-0.97/jartool.c.jj 2009-09-07 00:10:47.000000000 +0200
-+++ fastjar-0.97/jartool.c 2010-06-08 20:00:29.000000000 +0200
-@@ -1730,7 +1730,17 @@ int extract_jar(int fd, const char **fil
- struct stat sbuf;
- int depth = 0;
-
-- tmp_buff = malloc(sizeof(char) * strlen((const char *)filename));
-+ if(*filename == '/'){
-+ fprintf(stderr, "Absolute path names are not allowed.\n");
-+ exit(EXIT_FAILURE);
-+ }
-+
-+ tmp_buff = malloc(strlen((const char *)filename));
-+
-+ if(tmp_buff == NULL) {
-+ fprintf(stderr, "Out of memory.\n");
-+ exit(EXIT_FAILURE);
-+ }
-
- for(;;){
- const ub1 *idx = (const unsigned char *)strchr((const char *)start, '/');
-@@ -1738,25 +1748,28 @@ int extract_jar(int fd, const char **fil
- if(idx == NULL)
- break;
- else if(idx == start){
-+ tmp_buff[idx - filename] = '/';
- start++;
- continue;
- }
-- start = idx + 1;
-
-- strncpy(tmp_buff, (const char *)filename, (idx - filename));
-- tmp_buff[(idx - filename)] = '\0';
-+ memcpy(tmp_buff + (start - filename), (const char *)start, (idx - start));
-+ tmp_buff[idx - filename] = '\0';
-
- #ifdef DEBUG
- printf("checking the existance of %s\n", tmp_buff);
- #endif
-- if(strcmp(tmp_buff, "..") == 0){
-+ if(idx - start == 2 && memcmp(start, "..", 2) == 0){
- --depth;
- if (depth < 0){
- fprintf(stderr, "Traversal to parent directories during unpacking!\n");
- exit(EXIT_FAILURE);
- }
-- } else if (strcmp(tmp_buff, ".") != 0)
-+ } else if (idx - start != 1 || *start != '.')
- ++depth;
-+
-+ start = idx + 1;
-+
- if(stat(tmp_buff, &sbuf) < 0){
- if(errno != ENOENT)
- exit_on_error("stat");
-@@ -1765,6 +1778,7 @@ int extract_jar(int fd, const char **fil
- #ifdef DEBUG
- printf("Directory exists\n");
- #endif
-+ tmp_buff[idx - filename] = '/';
- continue;
- }else {
- fprintf(stderr, "Hmmm.. %s exists but isn't a directory!\n",
-@@ -1781,10 +1795,11 @@ int extract_jar(int fd, const char **fil
- if(verbose && handle)
- printf("%10s: %s/\n", "created", tmp_buff);
-
-+ tmp_buff[idx - filename] = '/';
- }
-
- /* only a directory */
-- if(strlen((const char *)start) == 0)
-+ if(*start == '\0')
- dir = TRUE;
-
- #ifdef DEBUG
-@@ -1792,7 +1807,7 @@ int extract_jar(int fd, const char **fil
- #endif
-
- /* If the entry was just a directory, don't write to file, etc */
-- if(strlen((const char *)start) == 0)
-+ if(*start == '\0')
- f_fd = -1;
-
- free(tmp_buff);
-@@ -1876,7 +1891,8 @@ int extract_jar(int fd, const char **fil
- exit(EXIT_FAILURE);
- }
-
-- close(f_fd);
-+ if (f_fd != -1)
-+ close(f_fd);
-
- if(verbose && dir == FALSE && handle)
- printf("%10s: %s\n",
diff --git a/source/d/gcc/fastjar-patches/1004-fastjar-man.patch b/source/d/gcc/fastjar-patches/1004-fastjar-man.patch
deleted file mode 100644
index 34bf704db..000000000
--- a/source/d/gcc/fastjar-patches/1004-fastjar-man.patch
+++ /dev/null
@@ -1,27 +0,0 @@
-2010-03-24 Jan Kratochvil <jan.kratochvil@redhat.com>
-
- * Makefile.am (POD2MAN): Provide --date from ChangeLog.
- * Makefile.in: Regenerate.
-
---- fastjar-0.97/Makefile.am.jj 2008-10-16 04:24:55.000000000 -0400
-+++ fastjar-0.97/Makefile.am 2010-06-21 09:29:41.021398000 -0400
-@@ -39,7 +39,7 @@ EXTRA_DIST = \
- texi2pod.pl
-
- TEXI2POD = perl $(srcdir)/texi2pod.pl
--POD2MAN = pod2man --center="GNU" --release=@VERSION@
-+POD2MAN = pod2man --center="GNU" --release=@VERSION@ --date=$(shell sed -n '1s/ .*//p' <$(srcdir)/ChangeLog)
-
- .pod.1:
- -($(POD2MAN) --section=1 $< > $(@).T$$$$ && \
---- fastjar-0.97/Makefile.in.jj 2008-10-16 04:15:16.000000000 -0400
-+++ fastjar-0.97/Makefile.in 2010-06-21 09:30:15.882810000 -0400
-@@ -515,7 +515,7 @@ EXTRA_DIST = \
- texi2pod.pl
-
- TEXI2POD = perl $(srcdir)/texi2pod.pl
--POD2MAN = pod2man --center="GNU" --release=@VERSION@
-+POD2MAN = pod2man --center="GNU" --release=@VERSION@ --date=$(shell sed -n '1s/ .*//p' <$(srcdir)/ChangeLog)
-
- #SPLINT_FLAGS=-I . -I $(srcdir)/lib -I $(srcdir) -DHAVE_CONFIG_H +posixlib +weak
- SPLINT_FLAGS = -I . -I $(srcdir)/lib -I $(srcdir) -DHAVE_CONFIG_H -DPRIx32= -warnposix +weak
diff --git a/source/d/gcc/gcc.66782.diff b/source/d/gcc/gcc.66782.diff
deleted file mode 100644
index 0743f8853..000000000
--- a/source/d/gcc/gcc.66782.diff
+++ /dev/null
@@ -1,124 +0,0 @@
-Index: config/i386/i386.md
-===================================================================
---- config/i386/i386.md (revision 225539)
-+++ config/i386/i386.md (working copy)
-@@ -108,6 +108,7 @@
- UNSPEC_LD_MPIC ; load_macho_picbase
- UNSPEC_TRUNC_NOOP
- UNSPEC_DIV_ALREADY_SPLIT
-+ UNSPEC_MS_TO_SYSV_CALL
- UNSPEC_PAUSE
- UNSPEC_LEA_ADDR
- UNSPEC_XBEGIN_ABORT
-@@ -11584,6 +11585,15 @@
- "* return ix86_output_call_insn (insn, operands[0]);"
- [(set_attr "type" "call")])
-
-+(define_insn "*call_rex64_ms_sysv"
-+ [(match_parallel 2 "call_rex64_ms_sysv_operation"
-+ [(call (mem:QI (match_operand:DI 0 "call_insn_operand" "rBwBz"))
-+ (match_operand 1))
-+ (unspec [(const_int 0)] UNSPEC_MS_TO_SYSV_CALL)])]
-+ "TARGET_64BIT && !SIBLING_CALL_P (insn)"
-+ "* return ix86_output_call_insn (insn, operands[0]);"
-+ [(set_attr "type" "call")])
-+
- (define_insn "*sibcall"
- [(call (mem:QI (match_operand:W 0 "sibcall_insn_operand" "UBsBz"))
- (match_operand 1))]
-@@ -11808,6 +11818,16 @@
- (match_dup 3)))
- (unspec [(const_int 0)] UNSPEC_PEEPSIB)])])
-
-+(define_insn "*call_value_rex64_ms_sysv"
-+ [(match_parallel 3 "call_rex64_ms_sysv_operation"
-+ [(set (match_operand 0)
-+ (call (mem:QI (match_operand:DI 1 "call_insn_operand" "rBwBz"))
-+ (match_operand 2)))
-+ (unspec [(const_int 0)] UNSPEC_MS_TO_SYSV_CALL)])]
-+ "TARGET_64BIT && !SIBLING_CALL_P (insn)"
-+ "* return ix86_output_call_insn (insn, operands[1]);"
-+ [(set_attr "type" "callv")])
-+
- (define_expand "call_value_pop"
- [(parallel [(set (match_operand 0)
- (call (match_operand:QI 1)
-Index: config/i386/predicates.md
-===================================================================
---- config/i386/predicates.md (revision 225533)
-+++ config/i386/predicates.md (working copy)
-@@ -616,6 +616,36 @@
- && XINT (XEXP (op, 0), 1) == UNSPEC_GOTPCREL);
- })
-
-+;; Return true if OP is a call from MS ABI to SYSV ABI function.
-+(define_predicate "call_rex64_ms_sysv_operation"
-+ (match_code "parallel")
-+{
-+ unsigned creg_size = ARRAY_SIZE (x86_64_ms_sysv_extra_clobbered_registers);
-+ unsigned i;
-+
-+ if ((unsigned) XVECLEN (op, 0) != creg_size + 2)
-+ return false;
-+
-+ for (i = 0; i < creg_size; i++)
-+ {
-+ rtx elt = XVECEXP (op, 0, i+2);
-+ enum machine_mode mode;
-+ unsigned regno;
-+
-+ if (GET_CODE (elt) != CLOBBER
-+ || GET_CODE (SET_DEST (elt)) != REG)
-+ return false;
-+
-+ regno = x86_64_ms_sysv_extra_clobbered_registers[i];
-+ mode = SSE_REGNO_P (regno) ? TImode : DImode;
-+
-+ if (GET_MODE (SET_DEST (elt)) != mode
-+ || REGNO (SET_DEST (elt)) != regno)
-+ return false;
-+ }
-+ return true;
-+})
-+
- ;; Match exactly zero.
- (define_predicate "const0_operand"
- (match_code "const_int,const_wide_int,const_double,const_vector")
-Index: config/i386/i386.c
-===================================================================
---- config/i386/i386.c (revision 225533)
-+++ config/i386/i386.c (working copy)
-@@ -25639,7 +25639,9 @@
- rtx callarg2,
- rtx pop, bool sibcall)
- {
-- rtx vec[3];
-+ unsigned int const cregs_size
-+ = ARRAY_SIZE (x86_64_ms_sysv_extra_clobbered_registers);
-+ rtx vec[3 + cregs_size];
- rtx use = NULL, call;
- unsigned int vec_len = 0;
-
-@@ -25742,16 +25744,18 @@
- if (TARGET_64BIT_MS_ABI
- && (!callarg2 || INTVAL (callarg2) != -2))
- {
-- int const cregs_size
-- = ARRAY_SIZE (x86_64_ms_sysv_extra_clobbered_registers);
-- int i;
-+ unsigned i;
-
-+ vec[vec_len++] = gen_rtx_UNSPEC (VOIDmode, gen_rtvec (1, const0_rtx),
-+ UNSPEC_MS_TO_SYSV_CALL);
-+
- for (i = 0; i < cregs_size; i++)
- {
- int regno = x86_64_ms_sysv_extra_clobbered_registers[i];
- machine_mode mode = SSE_REGNO_P (regno) ? TImode : DImode;
-
-- clobber_reg (&use, gen_rtx_REG (mode, regno));
-+ vec[vec_len++]
-+ = gen_rtx_CLOBBER (VOIDmode, gen_rtx_REG (mode, regno));
- }
- }
-
diff --git a/source/d/gcc/gcc.69140.diff b/source/d/gcc/gcc.69140.diff
deleted file mode 100644
index ace60ebdd..000000000
--- a/source/d/gcc/gcc.69140.diff
+++ /dev/null
@@ -1,13 +0,0 @@
---- ./gcc/config/i386/i386.c.orig 2015-11-18 09:45:26.000000000 -0600
-+++ ./gcc/config/i386/i386.c 2016-02-05 13:50:07.202981920 -0600
-@@ -9677,6 +9677,10 @@
- if (TARGET_64BIT_MS_ABI && get_frame_size () > SEH_MAX_FRAME_SIZE)
- return true;
-
-+ /* SSE saves require frame-pointer when stack is misaligned. */
-+ if (TARGET_64BIT_MS_ABI && ix86_incoming_stack_boundary < 128)
-+ return true;
-+
- /* In ix86_option_override_internal, TARGET_OMIT_LEAF_FRAME_POINTER
- turns off the frame pointer by default. Turn it back on now if
- we've not got a leaf function. */
diff --git a/source/d/gcc/gcc.SlackBuild b/source/d/gcc/gcc.SlackBuild
index f23ed5215..f16f923cd 100755
--- a/source/d/gcc/gcc.SlackBuild
+++ b/source/d/gcc/gcc.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# GCC package build script (written by volkerdi@slackware.com)
#
# Copyright 2003, 2004 Slackware Linux, Inc., Concord, California, USA
-# Copyright 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -52,6 +52,8 @@
# efficient on modern CPUs running in 32-bit mode than the alternate i586
# instructions. No need to throw i586 CPUs under the bus (yet).
+cd $(dirname $0) ; CWD=$(pwd)
+
PKGNAM=gcc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-3}
@@ -70,6 +72,20 @@ if [ -z "$ARCH" ]; then
export ARCH
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "gcc-$VERSION-$ARCH-$BUILD.txz"
+ echo "gcc-g++-$VERSION-$ARCH-$BUILD.txz"
+ echo "gcc-gfortran-$VERSION-$ARCH-$BUILD.txz"
+ echo "gcc-gnat-$VERSION-$ARCH-$BUILD.txz"
+ echo "gcc-objc-$VERSION-$ARCH-$BUILD.txz"
+ echo "gcc-go-$VERSION-$ARCH-$BUILD.txz"
+ echo "gcc-brig-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i386" ]; then
SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
LIBDIRSUFFIX=""
@@ -109,10 +125,8 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
-CWD=$(pwd)
-# Temporary build location. This should *NOT* be a directory
-# path a non-root user could create later...
-TMP=${TMP:-"/gcc-$(mcookie)"}
+# Temporary build location:
+TMP=${TMP:-/tmp}
# This is the main DESTDIR target:
PKG1=$TMP/package-gcc
@@ -120,55 +134,44 @@ PKG1=$TMP/package-gcc
PKG2=$TMP/package-gcc-g++
PKG3=$TMP/package-gcc-gfortran
PKG4=$TMP/package-gcc-gnat
-PKG5=$TMP/package-gcc-java
PKG6=$TMP/package-gcc-objc
-PKG7=$TMP/package-gcc-g++-gch
+#PKG7=$TMP/package-gcc-g++-gch
PKG8=$TMP/package-gcc-go
+PKG9=$TMP/package-gcc-brig
# Clear the build locations:
-if [ -d $TMP ]; then
- rm -rf $TMP
-fi
-mkdir -p $PKG{1,2,3,4,5,6,7,8}/usr/doc/gcc-$VERSION
+rm -rf $TMP/gcc.build.lnx
+rm -rf $PKG{1,2,3,4,6,8,9}
+mkdir -p $PKG{1,2,3,4,6,8,9}/usr/doc/gcc-$VERSION
# Insert package descriptions:
-mkdir -p $PKG{1,2,3,4,5,6,7,8}/install
+mkdir -p $PKG{1,2,3,4,6,8,9}/install
cat $CWD/slack-desc.gcc > $PKG1/install/slack-desc
cat $CWD/slack-desc.gcc-g++ > $PKG2/install/slack-desc
cat $CWD/slack-desc.gcc-gfortran > $PKG3/install/slack-desc
cat $CWD/slack-desc.gcc-gnat > $PKG4/install/slack-desc
-cat $CWD/slack-desc.gcc-java > $PKG5/install/slack-desc
cat $CWD/slack-desc.gcc-objc > $PKG6/install/slack-desc
-# cat $CWD/slack-desc.gcc-g++-gch > $PKG7/install/slack-desc
+#cat $CWD/slack-desc.gcc-g++-gch > $PKG7/install/slack-desc
cat $CWD/slack-desc.gcc-go > $PKG8/install/slack-desc
+cat $CWD/slack-desc.gcc-brig > $PKG9/install/slack-desc
cd $TMP
-tar xvf $CWD/gcc-$VERSION.tar.?z*
-
-( cd gcc-$VERSION/gcc
- zcat $CWD/gcc.66782.diff.gz | patch -p0 --verbose || exit 1
- zcat $CWD/gcc.69140.diff.gz | patch -p2 --verbose || exit 1
-) || exit 1
-
-# Copy ecj.jar into the TLD of the source. Needed for java compiler.
-# This can be retrieved from ftp://sourceware.org/pub/java
-cp $CWD/ecj-4.9.jar gcc-$VERSION/ecj.jar
+rm -rf gcc-$VERSION
+tar xvf $CWD/gcc-$VERSION.tar.xz || exit 1
-# Use an antlr runtime to compile javadoc.
-# The runtime can be obtained from:
-#https://oss.sonatype.org/content/repositories/releases/org/antlr/antlr-runtime/
-ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
+( cd gcc-$VERSION || exit 1
-# install docs
-( cd gcc-$VERSION
# Smite the fixincludes:
zcat $CWD/gcc-no_fixincludes.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit 1
- # Fix perms/owners
+
+ # Fix perms/owners:
chown -R root:root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 775 -exec chmod 755 {} \;
find . -perm 754 -exec chmod 755 {} \;
find . -perm 664 -exec chmod 644 {} \;
+
+ # Install docs:
mkdir -p $PKG1/usr/doc/gcc-$VERSION
cp -a \
COPYING* ChangeLog* FAQ INSTALL \
@@ -189,13 +192,13 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
fi
mkdir -p $PKG1/usr/doc/gcc-${VERSION}/gcc
- ( cd gcc
+ ( cd gcc || exit 0
cp -a \
ABOUT* COPYING* DATESTAMP DEV-PHASE LANG* ONEWS README* SERVICE \
$PKG1/usr/doc/gcc-$VERSION/gcc
mkdir -p $PKG3/usr/doc/gcc-${VERSION}/gcc/fortran
- ( cd fortran
+ ( cd fortran || exit 0
if [ -r ChangeLog ]; then
cat ChangeLog | head -n 1000 > $PKG3/usr/doc/gcc-$VERSION/gcc/fortran/ChangeLog
touch -r ChangeLog $PKG3/usr/doc/gcc-$VERSION/gcc/fortran/ChangeLog
@@ -203,7 +206,7 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
)
mkdir -p $PKG4/usr/doc/gcc-${VERSION}/gcc/ada
- ( cd ada
+ ( cd ada || exit 0
cp -a \
ChangeLog.tree-ssa \
$PKG4/usr/doc/gcc-$VERSION/gcc/ada
@@ -213,19 +216,8 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
fi
)
- mkdir -p $PKG5/usr/doc/gcc-${VERSION}/gcc/java
- ( cd java
- cp -a \
- ChangeLog.tree-ssa \
- $PKG5/usr/doc/gcc-${VERSION}/gcc/java
- if [ -r ChangeLog ]; then
- cat ChangeLog | head -n 1000 > $PKG5/usr/doc/gcc-${VERSION}/gcc/java/ChangeLog
- touch -r ChangeLog $PKG5/usr/doc/gcc-${VERSION}/gcc/java/ChangeLog
- fi
- )
-
mkdir -p $PKG6/usr/doc/gcc-${VERSION}/gcc/objc
- ( cd objc
+ ( cd objc || exit 0
cp -a \
README* \
$PKG6/usr/doc/gcc-${VERSION}/gcc/objc
@@ -236,7 +228,7 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
)
mkdir -p $PKG8/usr/doc/gcc-${VERSION}/gcc/go
- ( cd go
+ ( cd go || exit 0
if [ -r ChangeLog ]; then
cat ChangeLog | head -n 1000 > $PKG8/usr/doc/gcc-${VERSION}/gcc/go/ChangeLog
touch -r ChangeLog $PKG8/usr/doc/gcc-${VERSION}/gcc/go/ChangeLog
@@ -247,10 +239,18 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
$PKG8/usr/doc/gcc-${VERSION}/gcc/go
)
+ mkdir -p $PKG9/usr/doc/gcc-${VERSION}/gcc/brig
+ ( cd brig || exit 0
+ if [ -r ChangeLog ]; then
+ cat ChangeLog | head -n 1000 > $PKG9/usr/doc/gcc-${VERSION}/gcc/brig/ChangeLog
+ touch -r ChangeLog $PKG9/usr/doc/gcc-${VERSION}/gcc/brig/ChangeLog
+ fi
+ )
+
) || exit 1
mkdir -p $PKG3/usr/doc/gcc-${VERSION}/libgfortran
- ( cd libgfortran
+ ( cd libgfortran || exit 0
if [ -r ChangeLog ]; then
cat ChangeLog | head -n 1000 > $PKG3/usr/doc/gcc-${VERSION}/libgfortran/ChangeLog
touch -r ChangeLog $PKG3/usr/doc/gcc-${VERSION}/libgfortran/ChangeLog
@@ -258,47 +258,15 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
)
mkdir -p $PKG4/usr/doc/gcc-${VERSION}/libada
- ( cd libada
+ ( cd libada || exit 0
if [ -r ChangeLog ]; then
cat ChangeLog | head -n 1000 > $PKG4/usr/doc/gcc-${VERSION}/libada/ChangeLog
touch -r ChangeLog $PKG4/usr/doc/gcc-${VERSION}/libada/ChangeLog
fi
)
- mkdir -p $PKG5/usr/doc/gcc-${VERSION}/libffi
- ( cd libffi
- cp -a \
- ChangeLog.libgcj ChangeLog.v1 \
- LICENSE* README* \
- $PKG5/usr/doc/gcc-${VERSION}/libffi
- if [ -r ChangeLog ]; then
- cat ChangeLog | head -n 1000 > $PKG5/usr/doc/gcc-${VERSION}/libffi/ChangeLog
- touch -r ChangeLog $PKG5/usr/doc/gcc-${VERSION}/libffi/ChangeLog
- fi
- )
-
- mkdir -p $PKG5/usr/doc/gcc-${VERSION}/libjava
- ( cd libjava
- cp -a \
- COPYING* HACKING LIBGCJ_LICENSE \
- NEWS README* THANKS \
- $PKG5/usr/doc/gcc-${VERSION}/libjava
- if [ -r ChangeLog ]; then
- cat ChangeLog | head -n 1000 > $PKG5/usr/doc/gcc-${VERSION}/libjava/ChangeLog
- touch -r ChangeLog $PKG5/usr/doc/gcc-${VERSION}/libjava/ChangeLog
- fi
- )
-
- mkdir -p $PKG1/usr/doc/gcc-${VERSION}/libmudflap
- ( cd libmudflap
- if [ -r ChangeLog ]; then
- cat ChangeLog | head -n 1000 > $PKG1/usr/doc/gcc-${VERSION}/libmudflap/ChangeLog
- touch -r ChangeLog $PKG1/usr/doc/gcc-${VERSION}/libmudflap/ChangeLog
- fi
- )
-
mkdir -p $PKG1/usr/doc/gcc-${VERSION}/libgomp
- ( cd libgomp
+ ( cd libgomp || exit 0
if [ -r ChangeLog ]; then
cat ChangeLog | head -n 1000 > $PKG1/usr/doc/gcc-${VERSION}/libgomp/ChangeLog
touch -r ChangeLog $PKG1/usr/doc/gcc-${VERSION}/libgomp/ChangeLog
@@ -306,7 +274,7 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
)
mkdir -p $PKG6/usr/doc/gcc-${VERSION}/libobjc
- ( cd libobjc
+ ( cd libobjc || exit 0
if [ -r ChangeLog ]; then
cat ChangeLog | head -n 1000 > $PKG6/usr/doc/gcc-${VERSION}/libobjc/ChangeLog
touch -r ChangeLog $PKG6/usr/doc/gcc-${VERSION}/libobjc/ChangeLog
@@ -317,7 +285,7 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
)
mkdir -p $PKG2/usr/doc/gcc-${VERSION}/libstdc++-v3
- ( cd libstdc++-v3
+ ( cd libstdc++-v3 || exit 0
cp -a \
README* \
doc/html/faq.html \
@@ -330,77 +298,10 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
)
-# Add fastjar to the gcc-java package:
-( cd $TMP
- FASTJARVER=$(echo $CWD/fastjar-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
- echo
- echo "Building fastjar-$FASTJARVER first"
- echo
- rm -rf fastjar-$FASTJARVER
- tar xvf $CWD/fastjar-$FASTJARVER.tar.xz || exit 1
- cd fastjar-$FASTJARVER || exit 1
- chown -R root:root .
- find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
- for patch in $CWD/fastjar-patches/*.gz ; do
- zcat $patch | patch -p1 --verbose || exit 1
- done
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS" \
- ./configure \
- --prefix=/usr \
- --libdir=/usr/lib$LIBDIRSUFFIX \
- --mandir=/usr/man \
- --infodir=/usr/info \
- --build=$TARGET
- make $NUMJOBS || exit 1
- make install DESTDIR=$PKG5 || exit 1
- mkdir -p $PKG5/usr/doc/fastjar-$FASTJARVER
- cp -a \
- AUTHORS CHANGES COPYING* INSTALL NEWS README* TODO \
- $PKG5/usr/doc/fastjar-$FASTJARVER
- # If there's a ChangeLog, installing at least part of the recent history
- # is useful, but don't let it get totally out of control:
- if [ -r ChangeLog ]; then
- DOCSDIR=$(echo $PKG5/usr/doc/fastjar-$FASTJARVER)
- cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
- touch -r ChangeLog $DOCSDIR/ChangeLog
- fi
- find $PKG5 | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- # Compress and if needed symlink the man pages:
- if [ -d $PKG5/usr/man ]; then
- ( cd $PKG5/usr/man
- for manpagedir in $(find . -type d -name "man*") ; do
- ( cd $manpagedir
- for eachpage in $( find . -type l -maxdepth 1) ; do
- ln -s $( readlink $eachpage ).gz $eachpage.gz
- rm $eachpage
- done
- gzip -9 *.?
- )
- done
- )
- fi
- # Compress info files, if any:
- if [ -d $PKG5/usr/info ]; then
- ( cd $PKG5/usr/info
- rm -f dir
- gzip -9 *
- )
- fi
- echo
-) || exit 1
-
# build gcc
( mkdir gcc.build.lnx;
cd gcc.build.lnx;
- # If enough people need "treelang" support for it may be considered.
- # --enable-languages=ada,c,c++,fortran,java,objc,treelang
# I think it's incorrect to include this option (as it'll end up set
# to i586 on x86 platforms), and we want to tune the binary structure
# for i686, as that's where almost all of the optimization speedups
@@ -414,9 +315,6 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
GCC_ARCHOPTS="--disable-multilib"
fi
- # NOTE: For Slackware 15.0, look into removing --with-default-libstdcxx-abi=gcc4-compatible,
- # which will then require rebuilding all C++ libraries. That is, if there's any benefit.
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
../gcc-$VERSION/configure --prefix=/usr \
@@ -425,14 +323,13 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
--infodir=/usr/info \
--enable-shared \
--enable-bootstrap \
- --enable-languages=ada,c,c++,fortran,go,java,lto,objc \
+ --enable-languages=ada,brig,c,c++,fortran,go,lto,objc \
--enable-threads=posix \
--enable-checking=release \
--enable-objc-gc \
--with-system-zlib \
- --with-python-dir=/lib$LIBDIRSUFFIX/python2.7/site-packages \
--enable-libstdcxx-dual-abi \
- --with-default-libstdcxx-abi=gcc4-compatible \
+ --with-default-libstdcxx-abi=new \
--disable-libunwind-exceptions \
--enable-__cxa_atexit \
--enable-libssp \
@@ -440,13 +337,7 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
--disable-install-libiberty \
--with-gnu-ld \
--verbose \
- --enable-java-home \
- --with-java-home=/usr/lib$LIBDIRSUFFIX/jvm/jre \
- --with-jvm-root-dir=/usr/lib$LIBDIRSUFFIX/jvm \
- --with-jvm-jar-dir=/usr/lib$LIBDIRSUFFIX/jvm/jvm-exports \
--with-arch-directory=$LIB_ARCH \
- --with-antlr-jar=$ANTLJAR \
- --enable-java-awt=gtk \
--disable-gtktest \
$GCC_ARCHOPTS \
--target=${TARGET} \
@@ -456,108 +347,123 @@ ANTLJAR=$(echo $CWD/antlr-*.jar | tail -1)
# Start the build:
# Include all debugging info (for now):
- make $NUMJOBS bootstrap;
+ make $NUMJOBS bootstrap || exit 1
( cd gcc
- make $NUMJOBS gnatlib GNATLIBCFLAGS="$SLKCFLAGS"
+ make $NUMJOBS gnatlib GNATLIBCFLAGS="$SLKCFLAGS" || exit 1
# This wants a shared -ladd2line?
- #make gnatlib-shared
+ #make gnatlib-shared || exit 1
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
- make $NUMJOBS gnattools
- )
- make info
+ make $NUMJOBS gnattools || exit 1
+ ) || exit 1
+ make info || exit 1
# Set GCCCHECK=something to run the tests
if [ ! -z $GCCCHECK ]; then
- make $NUMJOBS check
+ make $NUMJOBS check || exit 1
fi
- make install DESTDIR=$PKG1
+ make install DESTDIR=$PKG1 || exit 1
-# KLUDGE ALERT
-# These *gdb.py files are causing ldconfig to complain, so they are going
-# to be REMOVED for now... at some point, they might be moved somewhere
-# else, in which case things should Just Work(tm). Keep an eye on it.
-rm -f $PKG1/usr/lib${LIBDIRSUFFIX}/*gdb.py
+ # Move gdb pretty printers to the correct place
+ mkdir -p $PKG1/usr/share/gdb/auto-load/usr/lib$LIBDIRSUFFIX
+ mv $PKG1/usr/lib$LIBDIRSUFFIX/*-gdb.py \
+ $PKG1/usr/share/gdb/auto-load/usr/lib$LIBDIRSUFFIX/
-# Be sure the "specs" file is installed.
-if [ ! -r $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/${TARGET}/${VERSION}/specs ]; then
- cat stage1-gcc/specs > $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/${TARGET}/${VERSION}/specs
-fi
+ # Be sure the "specs" file is installed.
+ if [ ! -r $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/${TARGET}/${VERSION}/specs ]; then
+ cat stage1-gcc/specs > $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/${TARGET}/${VERSION}/specs
+ fi
-# Make our 64bit gcc look for 32bit gcc binaries in ./32 subdirectory:
-if [ "$ARCH" = "x86_64" ]; then
- sed -i 's#;.\(:../lib !m64 m32;\)$#;32\1#' \
- $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/${TARGET}/${VERSION}/specs
-fi
+ # Make our 64bit gcc look for 32bit gcc binaries in ./32 subdirectory:
+ if [ "$ARCH" = "x86_64" ]; then
+ sed -i 's#;.\(:../lib !m64 m32;\)$#;32\1#' \
+ $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/${TARGET}/${VERSION}/specs
+ fi
+
+ # make ada.install-common DESTDIR=$PKG1 || exit 1
+ # make install-gnatlib DESTDIR=$PKG1 || exit 1
+ make -i install-info DESTDIR=$PKG1 || exit 1
+
+ chmod 755 $PKG1/usr/lib${LIBDIRSUFFIX}/libgcc_s.so.1
+
+ # Fix stuff up:
+ ( cd $PKG1/usr/info ; rm dir ; gzip -9 * )
+ ( cd $PKG1
+ # *not* ${LIBDIRSUFFIX}
+ mkdir -p lib
+ cd lib
+ ln -sf /usr/bin/cpp .
+ )
+
+ ( cd $PKG1/usr/bin
+ mv g++ g++-gcc-$VERSION
+ mv gcc gcc-$VERSION
+ mv ${TARGET}-gfortran gfortran-gcc-$VERSION
+ ln -sf g++-gcc-$VERSION g++
+ ln -sf gcc-$VERSION gcc
+ ln -sf g++ c++
+ ln -sf gcc cc
+ ln -sf gcc-$VERSION ${TARGET}-gcc
+ ln -sf gcc-$VERSION ${TARGET}-gcc-$VERSION
+ ln -sf gcc-ar ${TARGET}-gcc-ar
+ ln -sf gcc-nm ${TARGET}-gcc-nm
+ ln -sf gcc-ranlib ${TARGET}-gcc-ranlib
+ ln -sf g++-gcc-$VERSION ${TARGET}-c++
+ ln -sf g++-gcc-$VERSION ${TARGET}-g++
+ ln -sf gfortran-gcc-$VERSION gfortran
+ ln -sf gfortran-gcc-$VERSION ${TARGET}-gfortran
+ ln -sf gfortran-gcc-$VERSION ${TARGET}-gfortran-$VERSION
+ ln -sf gfortran-gcc-$VERSION ${TARGET}-g95
+ ln -sf gfortran g95
+ ln -sf gfortran f95
+ ln -sf gfortran-gcc-$VERSION ${TARGET}-g77
+ ln -sf gfortran g77
+ ln -sf gfortran f77
+ cat $CWD/c89.sh > c89
+ cat $CWD/c99.sh > c99
+ chmod 755 c89 c99
+ )
-# make ada.install-common DESTDIR=$PKG1
-# make install-gnatlib DESTDIR=$PKG1
-make -i install-info DESTDIR=$PKG1
+ ( cd $PKG1/usr/man
+ gzip -9 */*
+ cd man1
+ ln -sf g++.1.gz c++.1.gz
+ ln -sf gcc.1.gz cc.1.gz
+ )
-chmod 755 $PKG1/usr/lib${LIBDIRSUFFIX}/libgcc_s.so.1
+ ## build an all-in-one txz package:
+ #(
+ # cd $PKG1;
+ # makepkg -l y -c n $TMP/gcc-$VERSION-$ARCH-$BUILD.txz
+ #)
-# The (huge) static GNU java libraries are not packaged. In nearly all
-# cases one or more dependencies will not be available as static anyway.
-rm -f $PKG1/usr/lib${LIBDIRSUFFIX}/libgcj.a
-rm -f $PKG1/usr/lib${LIBDIRSUFFIX}/libgcj-tools.a
+# keep a log:
+) 2>&1 | tee $TMP/gcc.build.log
-# Fix stuff up:
-( cd $PKG1/usr/info ; rm dir ; gzip -9 * )
+# Filter all .la files (thanks much to Mark Post for the sed script):
( cd $PKG1
- # *not* ${LIBDIRSUFFIX}
- mkdir -p lib
- cd lib
- ln -sf /usr/bin/cpp .
+ for file in $(find . -type f -name "*.la") ; do
+ cat $file | sed -e 's%-L/gcc-[[:graph:]]* % %g' > $TMP/tmp-la-file
+ cat $TMP/tmp-la-file > $file
+ done
+ rm $TMP/tmp-la-file
)
-( cd $PKG1/usr/bin
- mv g++ g++-gcc-$VERSION
- mv gcc gcc-$VERSION
- mv ${TARGET}-gfortran gfortran-gcc-$VERSION
- ln -sf g++-gcc-$VERSION g++
- ln -sf gcc-$VERSION gcc
- ln -sf g++ c++
- ln -sf gcc cc
- ln -sf gcc-$VERSION ${TARGET}-gcc
- ln -sf gcc-$VERSION ${TARGET}-gcc-$VERSION
- ln -sf gcc-ar ${TARGET}-gcc-ar
- ln -sf gcc-nm ${TARGET}-gcc-nm
- ln -sf gcc-ranlib ${TARGET}-gcc-ranlib
- ln -sf gcj ${TARGET}-gcj
- ln -sf gcjh ${TARGET}-gcjh
- ln -sf g++-gcc-$VERSION ${TARGET}-c++
- ln -sf g++-gcc-$VERSION ${TARGET}-g++
- ln -sf gfortran-gcc-$VERSION gfortran
- ln -sf gfortran-gcc-$VERSION ${TARGET}-gfortran
- ln -sf gfortran-gcc-$VERSION ${TARGET}-gfortran-$VERSION
- ln -sf gfortran-gcc-$VERSION ${TARGET}-g95
- ln -sf gfortran g95
- ln -sf gfortran f95
- ln -sf gfortran-gcc-$VERSION ${TARGET}-g77
- ln -sf gfortran g77
- ln -sf gfortran f77
- cat $CWD/c89.sh > c89
- cat $CWD/c99.sh > c99
- chmod 755 c89 c99
-)
+# Don't ship .la files in /{,usr/}lib${LIBDIRSUFFIX}:
+rm -f $PKG1/{,usr/}lib${LIBDIRSUFFIX}/*.la
-( cd $PKG1/usr/man
- gzip -9 */*
- cd man1
- ln -sf g++.1.gz c++.1.gz
- ln -sf gcc.1.gz cc.1.gz
-)
-
-## build the txz package
-#(
-# cd $PKG1;
-# makepkg -l y -c n $TMP/gcc-$VERSION-$ARCH-$BUILD.txz
-#)
-# keep a log
-) 2>&1 | tee $TMP/gcc.build.log
+# Strip bloated binaries and libraries:
+( cd $PKG1
+ find . -name "lib*so*" -exec strip --strip-unneeded "{}" \;
+ find . -name "lib*so*" -exec patchelf --remove-rpath "{}" \;
+ find . -name "lib*a" -exec strip -g "{}" \;
+ strip --strip-unneeded usr/bin/* 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
# OK, time to split the big package where needed:
@@ -573,6 +479,10 @@ rm -f $PKG1/usr/lib${LIBDIRSUFFIX}/libgcj-tools.a
mv $PKG1/usr/libexec/gcc/$TARGET/$VERSION/cc1plus usr/libexec/gcc/$TARGET/$VERSION/cc1plus
mkdir -p usr/man/man1
mv $PKG1/usr/man/man1/*++* usr/man/man1
+ mkdir -p usr/share
+ mv $PKG1/usr/share/gdb usr/share
+ mkdir -p usr/share/gcc-$VERSION/python
+ mv $PKG1/usr/share/gcc-$VERSION/python/libstdcxx usr/share/gcc-$VERSION/python
)
# gcc-gfortran:
@@ -598,11 +508,6 @@ rm -f $PKG1/usr/lib${LIBDIRSUFFIX}/libgcj-tools.a
)
# gcc-gnat:
-# First, relocate usr/bin/gnative2ascii to the gcc-java package so it
-# isn't matched and accidentally put in gcc-gnat:
-mkdir -p $PKG5/usr/bin
-mv $PKG1/usr/bin/gnative2ascii $PKG5/usr/bin
-# Now make the gcc-gnat package tree:
( cd $PKG4
mkdir -p usr/bin
mv $PKG1/usr/bin/gnat* usr/bin
@@ -616,117 +521,6 @@ mv $PKG1/usr/bin/gnative2ascii $PKG5/usr/bin
mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/adalib usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION
)
-# gcc-java:
-( cd $PKG5
- mkdir -p usr/bin
- mv $PKG1/usr/bin/aot-compile usr/bin
- mv $PKG1/usr/bin/addr2name.awk usr/bin
- # mv $PKG1/usr/bin/fastjar usr/bin
- mv $PKG1/usr/bin/gappletviewer usr/bin
- mv $PKG1/usr/bin/gc-analyze usr/bin
- mv $PKG1/usr/bin/*gcj* usr/bin
- mv $PKG1/usr/bin/gij usr/bin
- mv $PKG1/usr/bin/gjar usr/bin
- mv $PKG1/usr/bin/gjarsigner usr/bin
- mv $PKG1/usr/bin/gjdoc usr/bin
- mv $PKG1/usr/bin/gkeytool usr/bin
- mv $PKG1/usr/bin/grepjar usr/bin
- mv $PKG1/usr/bin/grmid usr/bin
- mv $PKG1/usr/bin/grmic usr/bin
- mv $PKG1/usr/bin/grmiregistry usr/bin
- mv $PKG1/usr/bin/gserialver usr/bin
- mv $PKG1/usr/bin/gtnameserv usr/bin
- mv $PKG1/usr/bin/gjavah usr/bin
- mv $PKG1/usr/bin/gorbd usr/bin
- mv $PKG1/usr/bin/jar usr/bin
- mv $PKG1/usr/bin/jcf-dump usr/bin
- mv $PKG1/usr/bin/jv-* usr/bin
- mv $PKG1/usr/bin/rmi* usr/bin
- mkdir -p usr/include/c++/$VERSION
- # Move some Java only C++ headers from the C++ package:
- mv $PKG2/usr/include/c++/$VERSION/{gcj,gnu,java,javax,org,sun} usr/include/c++/$VERSION
- mv $PKG1/usr/include/ffi.h usr/include
- mkdir -p usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include/jawt.h usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include/ffi.h usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include/ffitarget.h usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include/jawt_md.h usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include/jni.h usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include/jni_md.h usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include/jvmpi.h usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include/libffi usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- # aot-compile Python plugins:
- if [ ! -d $PKG1/usr/lib${LIBDIRSUFFIX}/python2.7 ]; then
- echo "NO $PKG1/usr/lib${LIBDIRSUFFIX}/python2.7 !"
- exit 1
- fi
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/python2.7 usr/lib${LIBDIRSUFFIX}
- mkdir -p usr/info
- mv $PKG1/usr/info/gcj.* usr/info
- # mv $PKG1/usr/info/fastjar.* usr/info
- mkdir -p usr/lib${LIBDIRSUFFIX}
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/libffi* usr/lib${LIBDIRSUFFIX}
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/logging.properties usr/lib${LIBDIRSUFFIX}
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcj* usr/lib${LIBDIRSUFFIX}
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/libgcj* usr/lib${LIBDIRSUFFIX}
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/libgij* usr/lib${LIBDIRSUFFIX}
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/lib-org* usr/lib${LIBDIRSUFFIX}
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/security usr/lib${LIBDIRSUFFIX}
- mkdir -p usr/lib${LIBDIRSUFFIX}/pkgconfig
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/pkgconfig/libgcj*.pc usr/lib${LIBDIRSUFFIX}/pkgconfig
- rmdir $PKG1/usr/lib${LIBDIRSUFFIX}/pkgconfig 2> /dev/null
- mkdir -p usr/libexec/gcc/$TARGET/$VERSION
- mv $PKG1/usr/libexec/gcc/$TARGET/$VERSION/jc1 usr/libexec/gcc/$TARGET/$VERSION
- mv $PKG1/usr/libexec/gcc/$TARGET/$VERSION/ecj1 usr/libexec/gcc/$TARGET/$VERSION
- mv $PKG1/usr/libexec/gcc/$TARGET/$VERSION/jvgenmain usr/libexec/gcc/$TARGET/$VERSION
- mkdir -p usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include/gcj usr/lib${LIBDIRSUFFIX}/gcc/$TARGET/$VERSION/include
- mkdir -p usr/man/man1
- mv $PKG1/usr/man/man1/aot-compile.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gappletviewer.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gc-analyze.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gcj.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gcjh.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gcj-dbtool.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gij.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gjar.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gjarsigner.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gjavah.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gjdoc.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gjnih.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gkeytool.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gnative2ascii.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gorbd.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/grmic.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/grmid.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/grmiregistry.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gserialver.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/gtnameserv.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/jcf-dump.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/jv-convert.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/jv-scan.1.gz usr/man/man1
- mv $PKG1/usr/man/man1/rebuild-gcj-db.1.gz usr/man/man1
- mkdir -p usr/man/man3
- mv $PKG1/usr/man/man3/ffi* usr/man/man3
- mkdir -p usr/share
- mv $PKG1/usr/share/java usr/share
- # The ecj wrapper script:
- cat $CWD/ecj.sh | sed -e "s,@JAVADIR@,/usr/share/java," > usr/bin/ecj
- chmod 755 usr/bin/ecj
- # The JAVA_HOME compatibility links.
- # Caution: non-multilib arch-independent stuff! No lib64 here.
- mkdir -p usr/lib$LIBDIRSUFFIX
- mv $PKG1/usr/lib$LIBDIRSUFFIX/jvm* usr/lib$LIBDIRSUFFIX
- # And add the missing javac symlink:
- ln -s ../../../bin/ecj usr/lib$LIBDIRSUFFIX/jvm/bin/javac
- # Don't package libffi stuff anymore. GCC will link the internal version
- # statically, and we'll need a newer one elsewhere.
- find . -name "ffi*.h" | xargs rm
- find . -name "libffi*" | xargs rm
- rm -f usr/man/man3/ffi*
- rm -f usr/info/libffi*
-)
-
# gcc-objc:
( cd $PKG6
mkdir -p usr/lib${LIBDIRSUFFIX}
@@ -756,37 +550,29 @@ mv $PKG1/usr/bin/gnative2ascii $PKG5/usr/bin
mv $PKG1/usr/info/gccgo.info.gz usr/info
mkdir -p usr/lib${LIBDIRSUFFIX}
mv $PKG1/usr/lib${LIBDIRSUFFIX}/go usr/lib${LIBDIRSUFFIX}
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/{libgo.la,libgo.so*,libgobegin.a,libgolibbegin.a,libnetgo.a} usr/lib${LIBDIRSUFFIX} || exit 1
- # Ordinarily Slackware doesn't package static libraries, but in this case
- # it is useful for deploying compiled binaries on machines that do not yet
- # have libgo.so.0.0.0.
- mv $PKG1/usr/lib${LIBDIRSUFFIX}/libgo.a usr/lib${LIBDIRSUFFIX}
+ if [ -r $PKG1/usr/lib${LIBDIRSUFFIX}/libgo.la ]; then
+ mv $PKG1/usr/lib${LIBDIRSUFFIX}/libgo.la usr/lib${LIBDIRSUFFIX}
+ fi
+ mv $PKG1/usr/lib${LIBDIRSUFFIX}/{libgo.so*,libgobegin.a,libgolibbegin.a} usr/lib${LIBDIRSUFFIX} || exit 1
+ # Don't package the (bloated) libgo.a. As a rule, we don't package static libraries.
+ rm -f $PKG1/usr/lib${LIBDIRSUFFIX}/libgo.a
mkdir -p usr/man/man1
mv $PKG1/usr/man/man1/gccgo.1.gz usr/man/man1
mv $PKG1/usr/man/man1/go.1.gz usr/man/man1
mv $PKG1/usr/man/man1/gofmt.1.gz usr/man/man1
) || exit 1
-# Filter all .la files (thanks much to Mark Post for the sed script):
-( cd $TMP
- for file in $(find . -type f -name "*.la") ; do
- cat $file | sed -e 's%-L/gcc-[[:graph:]]* % %g' > $TMP/tmp-la-file
- cat $TMP/tmp-la-file > $file
- done
- rm $TMP/tmp-la-file
+# gcc-brig:
+( cd $PKG9
+ mkdir -p usr/bin
+ mv $PKG1/usr/bin/*brig* usr/bin
+ mkdir -p usr/lib${LIBDIRSUFFIX}
+ mv $PKG1/usr/lib${LIBDIRSUFFIX}/libhsail* usr/lib${LIBDIRSUFFIX}
+ mkdir -p usr/libexec/gcc/$TARGET/$VERSION
+ mv $PKG1/usr/libexec/gcc/$TARGET/$VERSION/brig1 usr/libexec/gcc/$TARGET/$VERSION
)
-## Strip bloated binaries and libraries:
-for dir in $PKG{1,2,3,4,5,6,8}; do
- ( cd $dir
- find . -name "lib*so*" -exec strip --strip-unneeded "{}" \;
- find . -name "lib*a" -exec strip -g "{}" \;
- strip --strip-unneeded usr/bin/* 2> /dev/null
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- )
-done
-
+# Generate packages:
( cd $PKG1
makepkg -l y -c n $TMP/gcc-$VERSION-$ARCH-$BUILD.txz )
( cd $PKG2
@@ -795,14 +581,12 @@ done
makepkg -l y -c n $TMP/gcc-gfortran-$VERSION-$ARCH-$BUILD.txz )
( cd $PKG4
makepkg -l y -c n $TMP/gcc-gnat-$VERSION-$ARCH-$BUILD.txz )
-( cd $PKG5
- makepkg -l y -c n $TMP/gcc-java-$VERSION-$ARCH-$BUILD.txz )
( cd $PKG6
makepkg -l y -c n $TMP/gcc-objc-$VERSION-$ARCH-$BUILD.txz )
-#( cd $PKG7
-# makepkg -l y -c n $TMP/gcc-g++-gch-$VERSION-$ARCH-$BUILD.txz )
( cd $PKG8
makepkg -l y -c n $TMP/gcc-go-$VERSION-$ARCH-$BUILD.txz )
+( cd $PKG9
+ makepkg -l y -c n $TMP/gcc-brig-$VERSION-$ARCH-$BUILD.txz )
echo
echo "Slackware GCC package build complete!"
diff --git a/source/d/gcc/slack-desc.gcc b/source/d/gcc/slack-desc.gcc
index 72e33b464..1c00df83a 100644
--- a/source/d/gcc/slack-desc.gcc
+++ b/source/d/gcc/slack-desc.gcc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -11,7 +11,7 @@ gcc:
gcc: GCC is the GNU Compiler Collection.
gcc:
gcc: This package contains those parts of the compiler collection needed to
-gcc: compile C code. Other packages add Ada, C++, Fortran, Go,
+gcc: compile C code. Other packages add Ada, C++, Fortran, Go,
gcc: Objective-C, and Java support to the compiler core.
gcc:
gcc:
diff --git a/source/d/gcc/slack-desc.gcc-brig b/source/d/gcc/slack-desc.gcc-brig
new file mode 100644
index 000000000..e9496b8bd
--- /dev/null
+++ b/source/d/gcc/slack-desc.gcc-brig
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gcc-brig: gcc-brig (BRIG support for GCC)
+gcc-brig:
+gcc-brig: BRIG support for the GNU Compiler Collection.
+gcc-brig:
+gcc-brig: BRIG is the binary form of the Heterogeneous System Architecture
+gcc-brig: Intermediate Language (HSA IL), which is a virtual instruction set for
+gcc-brig: parallel programs. While similar in some ways to OpenCL or CUDA, HSA
+gcc-brig: is designed to ease the burden on the programmer by automatically
+gcc-brig: handling the offloading of tasks and moving of data.
+gcc-brig:
+gcc-brig:
diff --git a/source/d/gcc/slack-desc.gcc-g++ b/source/d/gcc/slack-desc.gcc-g++
index 3cbabac16..fa9b4f1ca 100644
--- a/source/d/gcc/slack-desc.gcc-g++
+++ b/source/d/gcc/slack-desc.gcc-g++
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -11,7 +11,7 @@ gcc-g++:
gcc-g++: C++ support for the GNU Compiler Collection.
gcc-g++:
gcc-g++: This package contains those parts of the compiler collection needed to
-gcc-g++: compile C++ code. The base gcc package is also required.
+gcc-g++: compile C++ code. The base gcc package is also required.
gcc-g++:
gcc-g++:
gcc-g++:
diff --git a/source/d/gcc/slack-desc.gcc-gfortran b/source/d/gcc/slack-desc.gcc-gfortran
index 5141cb02c..111dcb1f7 100644
--- a/source/d/gcc/slack-desc.gcc-gfortran
+++ b/source/d/gcc/slack-desc.gcc-gfortran
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
gcc-gfortran: gcc-gfortran (Fortran support for GCC)
gcc-gfortran:
gcc-gfortran: The GNU Fortran compiler is fully compliant with the Fortran 95
-gcc-gfortran: Standard and includes legacy F77 support. In addition, a significant
+gcc-gfortran: Standard and includes legacy F77 support. In addition, a significant
gcc-gfortran: number of Fortran 2003 and Fortran 2008 features are implemented.
gcc-gfortran: GNU Fortran also contains many standard and extensions and can be
gcc-gfortran: used to run real-world programs.
gcc-gfortran:
gcc-gfortran: This package contains those parts of the compiler collection
-gcc-gfortran: needed to compile Fortran code. The gcc package is also required.
+gcc-gfortran: needed to compile Fortran code. The gcc package is also required.
gcc-gfortran:
diff --git a/source/d/gcc/slack-desc.gcc-gnat b/source/d/gcc/slack-desc.gcc-gnat
index 9aa4b3c4e..8ffa7ac04 100644
--- a/source/d/gcc/slack-desc.gcc-gnat
+++ b/source/d/gcc/slack-desc.gcc-gnat
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -11,9 +11,9 @@ gcc-gnat:
gcc-gnat: Ada support for the GNU Compiler Collection.
gcc-gnat:
gcc-gnat: This package contains those parts of the compiler collection needed to
-gcc-gnat: compile Ada code. GNAT implements Ada 95, Ada 2005 and Ada 2012, and
-gcc-gnat: it may also be invoked in Ada 83 compatibility mode. By default, GNAT
-gcc-gnat: assumes Ada 2012. The base gcc package is also required.
+gcc-gnat: compile Ada code. GNAT implements Ada 95, Ada 2005 and Ada 2012, and
+gcc-gnat: it may also be invoked in Ada 83 compatibility mode. By default, GNAT
+gcc-gnat: assumes Ada 2012. The base gcc package is also required.
gcc-gnat:
gcc-gnat:
gcc-gnat:
diff --git a/source/d/gcc/slack-desc.gcc-go b/source/d/gcc/slack-desc.gcc-go
index cdd859bc1..0c518b18c 100644
--- a/source/d/gcc/slack-desc.gcc-go
+++ b/source/d/gcc/slack-desc.gcc-go
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
gcc-go: gcc-go (Go support for GCC)
gcc-go:
gcc-go: Go is a compiled, garbage-collected, concurrent programming language
-gcc-go: developed by Google Inc. The initial design of Go was started in
+gcc-go: developed by Google Inc. The initial design of Go was started in
gcc-go: September 2007 by Robert Griesemer, Rob Pike, and Ken Thompson.
gcc-go: Rob Pike has stated that Go is being used "for real stuff" at Google.
gcc-go: Go's "gc" compiler targets the Linux, Mac OS X, FreeBSD, OpenBSD and
gcc-go: Microsoft Windows operating systems, and the i386, amd64, and ARM
gcc-go: processor architectures.
gcc-go:
-gcc-go: Homepage: http://golang.org
+gcc-go: Homepage: http://golang.org
diff --git a/source/d/gcc/slack-desc.gcc-java b/source/d/gcc/slack-desc.gcc-java
deleted file mode 100644
index b65ca5554..000000000
--- a/source/d/gcc/slack-desc.gcc-java
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
-# leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-gcc-java: gcc-java (Java support for GCC)
-gcc-java:
-gcc-java: Java support for the GNU Compiler Collection.
-gcc-java:
-gcc-java: This package contains those parts of the compiler collection needed to
-gcc-java: compile programs written in the Java programming language. The base
-gcc-java: gcc package is also required.
-gcc-java:
-gcc-java:
-gcc-java:
-gcc-java:
diff --git a/source/d/gcc/slack-desc.gcc-objc b/source/d/gcc/slack-desc.gcc-objc
index c01b79e37..174418434 100644
--- a/source/d/gcc/slack-desc.gcc-objc
+++ b/source/d/gcc/slack-desc.gcc-objc
@@ -1,8 +1,8 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
@@ -11,7 +11,7 @@ gcc-objc:
gcc-objc: Objective-C support for the GNU Compiler Collection.
gcc-objc:
gcc-objc: This package contains those parts of the compiler collection needed to
-gcc-objc: compile code written in Objective-C. Objective-C was originally
+gcc-objc: compile code written in Objective-C. Objective-C was originally
gcc-objc: developed to add object-oriented extensions to the C language, and is
gcc-objc: best known as the native language of the NeXT computer.
gcc-objc: